ExoPlayer not in `build.gradle`?

#1

Where does Expo include the ExoPlayer dependency (for its AV module)?
I can’t find it in any of the build.gradle files.
Is it included as part of another dependency?

In react-native-video, it’s added in build.gradle with:
compile 'com.google.android.exoplayer:exoplayer:r2.4.0'

#2

Hi @riwu - currently this is included in Expo as a sub-dependency of the com.facebook.android:audience-network-sdk:4.26.1 package. The version of ExoPlayer that’s included is com.google.android.exoplayer:exoplayer:r2.0.3.

Hope that helps!

1 Like
#3

Thanks! Just realised I can check it with ./gradlew app:dependencies.

I override and upgraded it to 2.8.0 as I need the update for playing amr file format, but there’s a lot of issues that I have to fix to get it working with the latest version.

Guess i’ll just wait for audience-network-sdk to upgrade…

#4

Hi! I opened an issue for this so we can track progress on that: https://github.com/expo/expo/issues/1756.

closed #5

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.